$solutionDir = Join-Path $psscriptroot "..\..\"

Write-Host "Solution Directory is" $psscriptroot

$migrator = Join-Path $solutionDir "\Kreta.DataAccess.Migrations\bin\Migrate.exe"
$target = Join-Path $solutionDir "\Kreta.DataAccess.Migrations\bin\Kreta.DataAccess.Migrations.dll"

$configuration = Join-Path $solutionDir "KretaWeb\Web.Debug.config"
[xml]$configurationAsXml = Get-Content $configuration
$connectionString = $configurationAsXml.configuration.ServerConfig.config.server.dbconnection.'#text'

if([string]::IsNullOrWhiteSpace($connectionString))
{
  $configuration = Join-Path $solutionDir "KretaWeb\Web.config"
  [xml]$configurationAsXml = Get-Content $configuration
  $connectionString = $configurationAsXml.configuration.ServerConfig.config.server.dbconnection
}

if([string]::IsNullOrWhiteSpace($connectionString))
{
  Write-Error "Invalid configuration file!"
  return 1;
}

Invoke-Expression (Join-Path $solutionDir "\Kreta.DataAccess.Migrations\bin\Migrate.exe --c '$($connectionString)' --db 'SqlServer2016' --a '$($target)' --timeout 7200 --strip true")
